package com.tanpu.fund.entity.generator;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 报告下载统计
 */
@ApiModel(value = "报告下载统计")
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@TableName(value = "report_download_summary")
public class ReportDownloadSummary {
    public static final String COL_REPORT_COUNT_BUY = "report_count_buy";
    /**
     * id
     */
    @TableId(value = "id", type = IdType.AUTO)
    @ApiModelProperty(value = "id")
    private Long id;

    /**
     * 用户Id
     */
    @TableField(value = "user_id")
    @ApiModelProperty(value = "用户Id")
    private String userId;

    /**
     * 深度报告-免费版-下载次数
     */
    @TableField(value = "deep_report")
    @ApiModelProperty(value = "深度报告-免费版-下载次数")
    private Integer deepReport;

    /**
     * 深度报告-标准版-下载次数
     */
    @TableField(value = "deep_report_std")
    @ApiModelProperty(value = "深度报告-标准版-下载次数")
    private Integer deepReportStd;

    /**
     * 累计收益报告-免费版-下载次数
     */
    @TableField(value = "cumulative_profit_report")
    @ApiModelProperty(value = "累计收益报告-免费版-下载次数")
    private Integer cumulativeProfitReport;

    /**
     * 累计收益报告-标准版-下载次数
     */
    @TableField(value = "cumulative_profit_report_std")
    @ApiModelProperty(value = "累计收益报告-标准版-下载次数")
    private Integer cumulativeProfitReportStd;

    /**
     * 周报/月报
     */
    @TableField(value = "weekly_monthly_report")
    @ApiModelProperty(value = "周报/月报")
    private Integer weeklyMonthlyReport;

    /**
     * 持仓分析-免费版-下载次数
     */
    @TableField(value = "hold_fund_report")
    @ApiModelProperty(value = "持仓分析-免费版-下载次数")
    private Integer holdFundReport;

    /**
     * 持仓分析-标准版-下载次数
     */
    @TableField(value = "hold_fund_report_std")
    @ApiModelProperty(value = "持仓分析-标准版-下载次数")
    private Integer holdFundReportStd;

    /**
     * 免费版-下载次数上限
     */
    @TableField(value = "free_total_limit")
    @ApiModelProperty(value = "免费版-下载次数上限")
    private Integer freeTotalLimit;

    /**
     * 标准版-下载次数上限
     */
    @TableField(value = "std_vip_limit")
    @ApiModelProperty(value = "标准版-下载次数上限")
    private Integer stdVipLimit;

    /**
     * 购买的报告次数
     */
    @TableField(value = "report_times_buy")
    @ApiModelProperty(value = "购买的报告次数")
    private Integer reportTimesBuy;

    /**
     * 创建时间
     */
    @TableField(value = "create_time")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    /**
     * 更新时间
     */
    @TableField(value = "update_time")
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;

    public static final String COL_ID = "id";

    public static final String COL_USER_ID = "user_id";

    public static final String COL_DEEP_REPORT = "deep_report";

    public static final String COL_DEEP_REPORT_STD = "deep_report_std";

    public static final String COL_CUMULATIVE_PROFIT_REPORT = "cumulative_profit_report";

    public static final String COL_CUMULATIVE_PROFIT_REPORT_STD = "cumulative_profit_report_std";

    public static final String COL_WEEKLY_MONTHLY_REPORT = "weekly_monthly_report";

    public static final String COL_HOLD_FUND_REPORT = "hold_fund_report";

    public static final String COL_HOLD_FUND_REPORT_STD = "hold_fund_report_std";

    public static final String COL_FREE_TOTAL_LIMIT = "free_total_limit";

    public static final String COL_STD_VIP_LIMIT = "std_vip_limit";

    public static final String COL_REPORT_TIMES_BUY = "report_times_buy";

    public static final String COL_CREATE_TIME = "create_time";

    public static final String COL_UPDATE_TIME = "update_time";
}